Subject: Re: linux-next: build failure after merge of the ext4 tree

From: Theodore Ts'o <[email-masked]>
Date: Thu, 23 Jul 2015 12:49:53 -0400

On Thu, Jul 23, 2015 at 10:56:23AM +1000, Stephen Rothwell wrote:
> Hi Theodore,
> 
> After merging the ext4 tree, today's linux-next build (x86_64
> allmodconfig) failed like this:
> 
> ERROR: "wbc_account_io" [fs/ext4/ext4.ko] undefined!
> ERROR: "bio_associate_blkcg" [fs/ext4/ext4.ko] undefined!
> 
> Caused by commit
> 
>   001e4a8775f6 ("ext4: implement cgroup writeback support")
> 
> I have used the ext4 tree from next-20150722 for today.

Ah, I see, we're missing the include files which define the inline
dummy functions.  I'll fix this in my tree, thanks.

      		       	   	      	    - Ted